AimableDocs
DocsAPI Reference
GET/v1/events

List Events

Query Parameters

NameTypeRequiredDescription
limitintegerOptional
Default: 20
cursorstringOptional
categorystringOptional
resource_typestringOptional
resource_idstringOptional
from_datestringOptional
to_datestringOptional

Headers

NameTypeRequiredDescription
X-API-KeystringOptional

Request

curl -X GET '/api-proxy/v1/events' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Response

200(generated)
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "tenant_id": "550e8400-e29b-41d4-a716-446655440000",
      "category": "string",
      "event_type": "string",
      "actor_id": {},
      "actor_name": {},
      "actor_email": {},
      "resource_type": {},
      "resource_id": {},
      "metadata": {},
      "created_at": "2024-01-01T00:00:00Z"
    }
  ],
  "meta": {
    "next_cursor": {},
    "has_more": true
  },
  "counts": {}
}

Error Responses